org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver

## Class BulkheadClassSemaphoreDefaultBean

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver.BulkheadClassSemaphoreDefaultBean

    @ApplicationScoped
     @Bulkhead
    public class BulkheadClassSemaphoreDefaultBean
    extends Object

A simple class level Semaphore @Bulkhead

Author:
  Gordon Hutchison, Andrew Rouse

### Constructor Summary

Constructors
Constructor and Description
`BulkheadClassSemaphoreDefaultBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `test(Barrier barrier)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BulkheadClassSemaphoreDefaultBean

    public BulkheadClassSemaphoreDefaultBean()

### Method Detail

#### test

    public void test(Barrier barrier)